summaryrefslogtreecommitdiffstats
path: root/source/tcl/tix
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tix')
-rw-r--r--source/tcl/tix/slack-desc19
-rwxr-xr-xsource/tcl/tix/tix.SlackBuild97
-rw-r--r--source/tcl/tix/tix.soname.patch11
-rw-r--r--source/tcl/tix/tix.tcl8.5.patch186
4 files changed, 313 insertions, 0 deletions
diff --git a/source/tcl/tix/slack-desc b/source/tcl/tix/slack-desc
new file mode 100644
index 000000000..9eb28dd6b
--- /dev/null
+++ b/source/tcl/tix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tix: tix (an extension to the Tk toolkit)
+tix:
+tix: Tix, which stands for Tk Interface Extension, is an extension library
+tix: for Tcl/Tk. Tix adds many new widgets, image types and other commands
+tix: that allows you to create compelling Tcl/Tk-based GUI applications.
+tix: With these new widgets, your applications will look great and interact
+tix: with your users in intuitive ways.
+tix:
+tix:
+tix:
+tix:
diff --git a/source/tcl/tix/tix.SlackBuild b/source/tcl/tix/tix.SlackBuild
new file mode 100755
index 000000000..2f83a6d65
--- /dev/null
+++ b/source/tcl/tix/tix.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build/install Tix the way Slackware's binary package is made:
+
+PKGNAM=tix
+VERSION=8.4.3
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf Tix$VERSION
+tar xvf $CWD/Tix$VERSION.tar.gz || exit 1
+cd Tix$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/tix.tcl8.5.patch.gz | patch -p1 --backup --suffix=.orig || exit 1
+zcat $CWD/tix.soname.patch.gz | patch -p1 || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --with-tk=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find man -type f -exec chmod 644 {} \;
+mkdir -p $PKG/usr/man/mann
+cp -a man/*.n $PKG/usr/man/mann
+gzip -9 $PKG/usr/man/mann/*.n
+
+mkdir -p $PKG/usr/doc/tix-$VERSION
+cp -a \
+ ABOUT.* README.* license.terms \
+ docs/FAQ.txt docs/Files.* \
+ docs/Release-8.4* docs/license* docs/html \
+ $PKG/usr/doc/tix-$VERSION
+find $PKG/usr/doc/tix-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/tcl/tix/tix.soname.patch b/source/tcl/tix/tix.soname.patch
new file mode 100644
index 000000000..d2d402dc8
--- /dev/null
+++ b/source/tcl/tix/tix.soname.patch
@@ -0,0 +1,11 @@
+--- Tix8.4.2/Makefile.in.link 2006-11-18 04:41:06.000000000 +0100
++++ Tix8.4.2/Makefile.in 2006-11-18 04:43:13.000000000 +0100
+@@ -124,7 +124,7 @@
+ RANLIB = @RANLIB@
+ RANLIB_STUB = @RANLIB_STUB@
+ SHLIB_CFLAGS = @SHLIB_CFLAGS@
+-SHLIB_LD = @SHLIB_LD@
++SHLIB_LD = @SHLIB_LD@ $(CFLAGS) -Wl,-soname=$(PKG_LIB_FILE)
+ SHLIB_LD_FLAGS = @SHLIB_LD_FLAGS@
+ SHLIB_LD_LIBS = @SHLIB_LD_LIBS@
+ STLIB_LD = @STLIB_LD@
diff --git a/source/tcl/tix/tix.tcl8.5.patch b/source/tcl/tix/tix.tcl8.5.patch
new file mode 100644
index 000000000..80b8cf88b
--- /dev/null
+++ b/source/tcl/tix/tix.tcl8.5.patch
@@ -0,0 +1,186 @@
+--- ./Makefile.in.orig 2006-11-16 16:33:42.000000000 -0600
++++ ./Makefile.in 2008-09-08 19:43:36.000000000 -0500
+@@ -128,6 +128,7 @@
+ SHLIB_LD_FLAGS = @SHLIB_LD_FLAGS@
+ SHLIB_LD_LIBS = @SHLIB_LD_LIBS@
+ STLIB_LD = @STLIB_LD@
++TCL_VERSION = @TCL_VERSION@
+ TCL_DEFS = @TCL_DEFS@
+ TCL_SRC_DIR = @TCL_SRC_DIR@
+ TCL_BIN_DIR = @TCL_BIN_DIR@
+@@ -294,7 +295,7 @@
+
+ pkgIndex.tcl:
+ (\
+- echo 'if {[catch {package require Tcl 8.4}]} return';\
++ echo 'if {[catch {package require Tcl $(TCL_VERSION)}]} return';\
+ echo 'package ifneeded $(PACKAGE_NAME) $(PACKAGE_VERSION) \
+ [list load [file join $$dir $(PKG_LIB_FILE)] $(PACKAGE_NAME)]'\
+ ) > pkgIndex.tcl
+--- ./generic/tixImgXpm.h.orig 2000-05-17 06:08:42.000000000 -0500
++++ ./generic/tixImgXpm.h 2008-09-08 19:43:36.000000000 -0500
+@@ -55,7 +55,7 @@
+ int size[2]; /* width and height */
+ int ncolors; /* number of colors */
+ int cpp; /* characters per pixel */
+- char ** data; /* The data that defines this pixmap
++ CONST84 char ** data; /* The data that defines this pixmap
+ * image (array of strings). It is
+ * converted into an X Pixmap when this
+ * image is instanciated
+--- ./generic/tixImgXpm.c.orig 2008-02-27 22:05:29.000000000 -0600
++++ ./generic/tixImgXpm.c 2008-09-08 19:43:36.000000000 -0500
+@@ -45,19 +45,19 @@
+ int flags));
+ static int ImgXpmGetData _ANSI_ARGS_((Tcl_Interp *interp,
+ PixmapMaster *masterPtr));
+-static char ** ImgXpmGetDataFromFile _ANSI_ARGS_((Tcl_Interp * interp,
++static CONST84 char ** ImgXpmGetDataFromFile _ANSI_ARGS_((Tcl_Interp * interp,
+ char * string, int * numLines_return));
+-static char ** ImgXpmGetDataFromId _ANSI_ARGS_((Tcl_Interp * interp,
++static CONST84 char ** ImgXpmGetDataFromId _ANSI_ARGS_((Tcl_Interp * interp,
+ CONST84 char * id));
+-static char ** ImgXpmGetDataFromString _ANSI_ARGS_((Tcl_Interp*interp,
++static CONST84 char ** ImgXpmGetDataFromString _ANSI_ARGS_((Tcl_Interp*interp,
+ char * string, int * numLines_return));
+ static void ImgXpmGetPixmapFromData _ANSI_ARGS_((
+ Tcl_Interp * interp,
+ PixmapMaster *masterPtr,
+ PixmapInstance *instancePtr));
+-static char * GetType _ANSI_ARGS_((char * colorDefn,
++static CONST84 char * GetType _ANSI_ARGS_((CONST84 char * colorDefn,
+ int * type_ret));
+-static char * GetColor _ANSI_ARGS_((char * colorDefn,
++static CONST84 char * GetColor _ANSI_ARGS_((CONST84 char * colorDefn,
+ char * colorName, int * type_ret));
+
+ /*
+@@ -286,7 +286,7 @@
+ Tcl_Interp *interp; /* For reporting errors. */
+ PixmapMaster *masterPtr;
+ {
+- char ** data = NULL;
++ CONST84 char ** data = NULL;
+ int isAllocated = 0; /* do we need to free "data"? */
+ int listArgc;
+ CONST84 char ** listArgv = NULL;
+@@ -363,7 +363,7 @@
+ return code;
+ }
+
+-static char ** ImgXpmGetDataFromId(interp, id)
++static CONST84 char ** ImgXpmGetDataFromId(interp, id)
+ Tcl_Interp * interp;
+ CONST84 char * id;
+ {
+@@ -378,13 +378,13 @@
+ if (hashPtr == NULL) {
+ Tcl_AppendResult(interp, "unknown pixmap ID \"", id,
+ "\"", NULL);
+- return (char**)NULL;
++ return NULL;
+ } else {
+- return (char**)Tcl_GetHashValue(hashPtr);
++ return (CONST84 char**)Tcl_GetHashValue(hashPtr);
+ }
+ }
+
+-static char ** ImgXpmGetDataFromString(interp, string, numLines_return)
++static CONST84 char ** ImgXpmGetDataFromString(interp, string, numLines_return)
+ Tcl_Interp * interp;
+ char * string;
+ int * numLines_return;
+@@ -392,7 +392,7 @@
+ int quoted;
+ char * p, * list;
+ int numLines;
+- char ** data;
++ CONST84 char ** data;
+
+ /* skip the leading blanks (leading blanks are not defined in the
+ * the XPM definition, but skipping them shouldn't hurt. Also, the ability
+@@ -510,17 +510,17 @@
+
+ error:
+ Tcl_AppendResult(interp, "File format error", NULL);
+- return (char**) NULL;
++ return NULL;
+ }
+
+-static char ** ImgXpmGetDataFromFile(interp, fileName, numLines_return)
++static CONST84 char ** ImgXpmGetDataFromFile(interp, fileName, numLines_return)
+ Tcl_Interp * interp;
+ char * fileName;
+ int * numLines_return;
+ {
+ FILE * fd = NULL;
+ int size, n;
+- char ** data;
++ CONST84 char ** data;
+ char *cmdBuffer = NULL;
+ Tcl_DString buffer; /* initialized by Tcl_TildeSubst */
+
+@@ -588,16 +588,16 @@
+ ckfree(cmdBuffer);
+ }
+ Tcl_DStringFree(&buffer);
+- return (char**)NULL;
++ return NULL;
+ }
+
+
+-static char *
++static CONST84 char *
+ GetType(colorDefn, type_ret)
+- char * colorDefn;
++ CONST84 char * colorDefn;
+ int * type_ret;
+ {
+- char * p = colorDefn;
++ CONST84 char * p = colorDefn;
+
+ /* skip white spaces */
+ while (*p && isspace(*p)) {
+@@ -642,9 +642,9 @@
+ /*
+ * colorName is guaranteed to be big enough
+ */
+-static char *
++static CONST84 char *
+ GetColor(colorDefn, colorName, type_ret)
+- char * colorDefn;
++ CONST84 char * colorDefn;
+ char * colorName; /* if found, name is copied to this array */
+ int * type_ret;
+ {
+@@ -751,7 +751,7 @@
+ }
+
+ for (i=0; i<masterPtr->ncolors; i++) {
+- char * colorDefn; /* the color definition line */
++ CONST84 char * colorDefn; /* the color definition line */
+ char * colorName; /* temp place to hold the color name
+ * defined for one type of visual */
+ char * useName; /* the color name used for this
+@@ -842,7 +842,7 @@
+ * Parse the main body of the image
+ */
+ for (i=0; i<masterPtr->size[1]; i++) {
+- char * p = masterPtr->data[i+lOffset];
++ CONST84 char * p = masterPtr->data[i+lOffset];
+
+ for (j=0; j<masterPtr->size[0]; j++) {
+ if (masterPtr->cpp == 1) {
+--- ./generic/tixInt.h.orig 2008-02-27 22:29:17.000000000 -0600
++++ ./generic/tixInt.h 2008-09-08 19:43:36.000000000 -0500
+@@ -23,6 +23,10 @@
+ #include <tixPort.h>
+ #endif
+
++#include <stdlib.h>
++#include <string.h>
++#include <ctype.h>
++
+ /*----------------------------------------------------------------------
+ *
+ * Tix Display Item Types